Bug 100182 - Flickering in The Talos Principle on Sky Lake GT4.
Summary: Flickering in The Talos Principle on Sky Lake GT4.
Status: VERIFIED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Vulkan/intel (show other bugs)
Version: 17.0
Hardware: Other All
: medium normal
Assignee: Intel 3D Bugs Mailing List
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-03-13 15:45 UTC by Jason Ekstrand
Modified: 2017-03-17 10:57 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Ekstrand 2017-03-13 15:45:18 UTC
This is most likely an occlusion query issue.  More debugging is needed.
Comment 1 Eero Tamminen 2017-03-14 13:42:32 UTC
It's *very* visible when everything is set to Ultra, on e.g. Medium settings its not quite as bad. One can see it only when moving, when player is stationary, it doesn't happen. It's specific to the Vulkan backend, with OpenGL one it's not visible.
Comment 2 Jason Ekstrand 2017-03-15 03:58:36 UTC
I think I've got this tracked down.  It turns out we weren't properly handling unavailable query results.  I've got a patch but I won't be able to test it until tomorrow when I get back to my GT4.  If you want to play with it, you can find the branch here:

https://cgit.freedesktop.org/~jekstrand/mesa/log/?h=wip/anv-query-fixes
Comment 3 Jason Ekstrand 2017-03-16 22:27:49 UTC
This has been fixed by the following commit:

commit 08df015b9de8ccb16ce6db93890910f8a02be4c6
Author: Jason Ekstrand <jason.ekstrand@intel.com>
Date:   Tue Mar 14 20:48:47 2017 -0700

    anv/GetQueryPoolResults: Actually implement the spec
    
    The Vulkan spec is fairly clear about when we should and should not
    write query pool results.  We're also supposed to return VK_NOT_READY if
    VK_QUERY_RESULT_PARTIAL_BIT is not set and we come across any queries
    which are not yet finished.  This fixes rendering corruptions on The
    Talos Principle where geometry flickers in and out due to bogus query
    results being returned by the driver.  These issues are most noticable
    on Sky Lake GT4 2hen running on "ultra" settings.
    
    Reviewed-By: Lionel Landwerlin <lionel.g.landwerlin@intel.com>
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=100182
    Cc: "17.0 13.0" <mesa-stable@lists.freedesktop.org>
Comment 4 Eero Tamminen 2017-03-17 10:57:16 UTC
Verified, looks now fine both with Medium & Ultra settings.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct.